Signal

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
GET
GET

List all signal reports

API for reading signal reports. Reports are auto-generated from video segment clustering.

Required API key scopes

task:read

Path parameters

  • project_id
    string

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/projects/:project_id/signal_reports
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/signal_reports/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"summary": "string",
"status": "potential",
"total_weight": 0.1,
"signal_count": 0,
"relevant_user_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"artefact_count": 0
}
]
}

Retrieve signal reports

API for reading signal reports. Reports are auto-generated from video segment clustering.

Required API key scopes

task:read

Path parameters

  • id
    string
  • project_id
    string

Response


Example request

GET /api/projects/:project_id/signal_reports/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/signal_reports/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"summary": "string",
"status": "potential",
"total_weight": 0.1,
"signal_count": 0,
"relevant_user_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"artefact_count": 0
}

Retrieve signal reports artefacts

Get list of artefacts for a signal report.

Required API key scopes

signal_report:read

Path parameters

  • id
    string
  • project_id
    string

Example request

GET /api/projects/:project_id/signal_reports/:id/artefacts
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/signal_reports/:id/artefacts/

Example response

Status 200 List of artefacts for the report
Status 404 Report not found

Community questions

Questions about this page? or post a community question.